<?
/**
 * VoiceOne Settings/Tech/groups
 *
 * Frontend to provide access to the tech system in voiceone.
 * @package voiceone
 * @subpackage  settings_tech
 */
  include ("../../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
  
  //================ PAGE LOGIC ================
  $alert=getAlert();
  
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delIsdnGroup($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".$cwlang["isdngrp"]["alertDelGood"]."</div>";
    else $alert="<div class=\"AlertBad\">".$cwlang["isdngrp"]["alertDelBad"]."</div>";
  }
  
  $ret=$asterisk->getIsdnGroup(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret)) {
    foreach($ret as $v) {
      $id=$v["id"];
      $name=$v["name"];
      $portType=$v["port_type"];
      //$order=$v["trunk_order"];
      $ports = implode(",", $v["port"]);
      $html.="<td><a href=\"edit/?id=$id\">$name</a> ($portType ports: <strong>$ports</strong>) <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('Are you sure to delete the $name group?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
      if ((++$count)%2==0) $html.="</tr><tr>\n";
    }
  }  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <? $sel="groups"; include ("navigation.php");?>

  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$cwlang["isdngrp"]["title"]?></h1>
    <h3>
      <a href="edit/?portType=TE" class="admin" ><?=$cwlang["isdngrp"][""]?>New TE port Group</a> &nbsp;&nbsp;
      <a href="edit/?portType=NT" class="admin" ><?=$cwlang["isdngrp"][""]?>New NT port Group</a> 
    </h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <?$sel="isdn";include("../sidebar.php");?>
          <h1><?=$cwlang["isdngrp"]["sidebarTitle"]?></h1>
          <?=$cwlang["isdngrp"]["sidebarDesc"]?>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "isdn");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

